Class
PrefixSumTable
The prefix-sum table is a data structure which stores for each character the number of smaller lexicographic smaller characters in a given text.
PrefixSumTable<TChar, TSpec>
Include Headers
seqan/Index.h
Parameters

TChar | The character type
TSpec | A specialisation tag. Default: void

Functions

createPrefixSumTable | Creates the prefix sum table
getAlphabetSize | Returns the number of different characters in the prefix sum table.
getCharacter | Returns the character of a given position within the prefix sum table.
getCharacterPosition | Returns the position of a given character within the prefix sum table.
getFibre | Returns a specific fibre of a prefix-sum table.
getValue | Returns the prefix sum of a given position.
open | This functions loads a prefix-sum table from disk.
prefixSum | Returns a reference to the entry of the prefix sum table of a given position.
resize | Resize the prefix sum table to be able to store more or less characters.
save | This functions saves a prefix-sum table to disk.
setPrefixSum | Returns a reference to the entry of the prefix-sum table of a given position.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56